Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.gui
Class GUI

    java.lang.Object
      javafe.Tool
          javafe.FrontEndTool
              javafe.SrcTool
                  escjava.Main
                      escjava.gui.GUI

All Implemented Interfaces:
  Listener

public class GUI
extends Main

Nested Class Summary
`(package private) static class` | `GUI.EscTreeValue`
`(package private) static class` | `GUI.GFCUTreeValue`
`(package private) static class` | `GUI.IETreeValue`
`static class` | `GUI.Options` Extends escjava.Options just to set some defaults to more appropriate values for the GUI.
`(package private) static class` | `GUI.RDTreeValue`
`static class` | `GUI.Stop`
`(package private) static class` | `GUI.TDTreeValue`

Field Summary
`(package private) static int` | `CHECK`
`(package private) static int` | `CLEAR`
`(package private) EscOutputFrame` | `currentOutputFrame`
`(package private) static EscFrame` | `escframe`
`(package private) static GUI` | `gui`
`(package private) static int` | `PARSE`
`(package private) static TaskQueue` | `processTasks`
`(package private) static int` | `RELOAD`
`(package private) static int` | `RESOLVE`
`boolean` | `stop`
`static GUI.Stop` | `STOP`
`(package private) static javax.swing.tree.DefaultMutableTreeNode` | `topNode`
`(package private) static javax.swing.tree.DefaultTreeModel` | `treeModel`
`(package private) static int` | `TYPECHECK`

Fields inherited from class escjava.Main
`gctranslator, jarlocation, stages, version`

Fields inherited from class javafe.SrcTool
`loaded`

Fields inherited from class javafe.FrontEndTool
`compositeClassPath, compositeSourcePath`

Fields inherited from class javafe.Tool
`badUsageExitCode, errorExitCode, okExitCode, options, outOfMemoryExitCode`

Constructor Summary
`GUI()`

Method Summary
`(package private) static boolean` | `actionComplete(int status, int action)`
`static java.lang.String` | `actionString(int a)`
`void` | `buildCUTree(GUI.GFCUTreeValue cuvalue)`
`void` | `createTDNode(TypeDecl td, javax.swing.tree.DefaultMutableTreeNode cunode)`
`void` | `doAll(int action)`
`java.util.ArrayList` | `extractChildren(javax.swing.tree.DefaultMutableTreeNode d)`
`javax.swing.tree.DefaultMutableTreeNode` | `findIEMatch(InputEntry ie, java.util.ArrayList oc)`
`void` | `frontEndToolProcessing(java.util.ArrayList args)` This is overloaded because, instead of automatically running through all inputs, we want to build a gui and give the user control.
`void` | `handleAllInputEntries()` Builds the top-level tree, containing just the InputEntry nodes.
`static void` | `main(java.lang.String[] args)` Start up an instance of this tool using command-line arguments `args`.
`Options` | `makeOptions()` * Main processing code: * *
`int` | `processRoutineDecl(GUI.RDTreeValue rdn, int action)`
`(package private) static void` | `processTasks()`
`int` | `processTypeDecl(GUI.TDTreeValue tdn, int action)`
`void` | `restart(java.lang.String[] args)` Reinitializes everything; if the argument is null, the options are not reinitialized.
`private void` | `stopCheck(boolean thr)`

Methods inherited from class escjava.Main
`clear, compile, computeBody, doProving, handleCU, handleTD, makePragmaParser, makePrettyPrint, makeStandardTypeReader, makeTypeCheck, name, notify, options, postload, postprocess, preload, preprocess, setDefaultSimplify, setup, setupPaths`

Methods inherited from class javafe.SrcTool
`handleAllCUs, loadAllFiles, loadInputEntry, resolveInputEntry, resolveList`

Methods inherited from class javafe.FrontEndTool
`handleOptions, processOptions, run`

Methods inherited from class javafe.Tool
`badOptionUsage, currentTime, spaceUsed, timeUsed, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STOP

    public static final GUI.Stop STOP

### stop

    public volatile boolean stop

### gui

    static GUI gui

### escframe

    static EscFrame escframe

### topNode

    static javax.swing.tree.DefaultMutableTreeNode topNode

### treeModel

    static javax.swing.tree.DefaultTreeModel treeModel

### currentOutputFrame

    EscOutputFrame currentOutputFrame

### CHECK

    static final int CHECK

See Also:
  Constant Field Values

### TYPECHECK

    static final int TYPECHECK

See Also:
  Constant Field Values

### PARSE

    static final int PARSE

See Also:
  Constant Field Values

### RESOLVE

    static final int RESOLVE

See Also:
  Constant Field Values

### CLEAR

    static final int CLEAR

See Also:
  Constant Field Values

### RELOAD

    static final int RELOAD

See Also:
  Constant Field Values

### processTasks

    static TaskQueue processTasks

Constructor Detail

### GUI

    public GUI()

Method Detail

### stopCheck

    private void stopCheck(boolean thr)

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `Main`
  Start up an instance of this tool using command-line arguments `args`.

  This is the main entry point for the `escjava` command.

### restart

    public void restart(java.lang.String[] args)

  Reinitializes everything; if the argument is null, the options are not reinitialized.

### makeOptions

    public Options makeOptions()

  Description copied from class: `SrcTool`
  * Main processing code: * *

  Overrides:
    `makeOptions` in class `Main`

### frontEndToolProcessing

    public void frontEndToolProcessing(java.util.ArrayList args)

  This is overloaded because, instead of automatically running through all inputs, we want to build a gui and give the user control.

  Overrides:
    `frontEndToolProcessing` in class `SrcTool`

### extractChildren

    public java.util.ArrayList extractChildren(javax.swing.tree.DefaultMutableTreeNode d)

### findIEMatch

    public javax.swing.tree.DefaultMutableTreeNode findIEMatch(InputEntry ie,
                                                               java.util.ArrayList oc)

### handleAllInputEntries

    public void handleAllInputEntries()

  Builds the top-level tree, containing just the InputEntry nodes.

### buildCUTree

    public void buildCUTree(GUI.GFCUTreeValue cuvalue)

### createTDNode

    public void createTDNode(TypeDecl td,
                             javax.swing.tree.DefaultMutableTreeNode cunode)

### doAll

    public void doAll(int action)

### processTypeDecl

    public int processTypeDecl(GUI.TDTreeValue tdn,
                               int action)

### processRoutineDecl

    public int processRoutineDecl(GUI.RDTreeValue rdn,
                                  int action)

### actionString

    public static java.lang.String actionString(int a)

### actionComplete

    static final boolean actionComplete(int status,
                                        int action)

### processTasks

    static void processTasks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage